Bug 26675 - Activate network on plugin of USB NIC
Activate network on plugin of USB NIC
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: hotplug (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Florence Gold
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-08 01:36 EST by Vern Gill
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 18:16:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vern Gill 2001-02-08 01:36:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)


Hotplug should have a means for activating network on plugin of USB NIC, 
similiar to method used by PCMCIA devices
If set for dynamic IP, activate dhcpcd/pump/whatever, or if static, bring 
Iif up with that IP

Reproducible: Always
Steps to Reproduce:
1. plug in USB NIC
2.
3.
	

Actual Results:  Does not activate network, does not bring if up

Expected Results:  Activate network, update IP info (static/dhcp, etc), 
bring interface up

When a pcmcia NIC is inserted, the network device is activated, and an ip 
address obtained (for dhcp)
Would like USB nic to have same results

Would also like network to be de-activated upon removal of device
Comment 1 Glen Foster 2001-02-08 18:41:06 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Trond Eivind Glomsrxd 2001-02-08 22:23:52 EST
I'll look into this...
Comment 3 Glen Foster 2001-02-09 18:15:56 EST
We (Red Hat) should really try to resolve this before next release.
Comment 4 Trond Eivind Glomsrxd 2001-02-12 13:26:35 EST
This works now... new hotplug from rawhide and new kernel needed.

Note You need to log in before you can comment on or make changes to this bug.